/* io.h */

#ifndef _IO_H
#define _IO_H

#include "glo.h"
#include <stdio.h>

struct menu {       /* some structure for the menu selection */
  int sel;
  char * text;
};

PUBLIC int error(char * string);
     /* write an error message */

PUBLIC void skipto(FILE * fd, char stop);
     /* skip to the next `stop' character but not over eol */

PUBLIC char * readto(FILE * fd, char stop);
     /* read from that file up to the character stop but not over eol;
	allocate a string for the read data;
	return it.  NULL means no string or error.
	*/

PUBLIC int menu(struct menu *, int size);
     /* selection from a menu */

PUBLIC char * catenate(char *, char *);
     /* strcat with malloc; return a new string */

PUBLIC bool regsame(char *, char *);
     /* compare the first string with the second regular expression
	? and * are allowed wildcards */

#endif
